PHP 手冊
前一頁 |  | 下一頁

# ftp_mdtm

(PHP 3>= 3.0.13, PHP 4 , PHP 5)

ftp_mdtm -- Returns the last modified time of the given file

## Description

int ftp_mdtm ( resource ftp_stream, string remote_file )

ftp_mdtm() gets the last modified time for a remote file.

> 注: Not all servers support this feature!

> 注: ftp_mdtm() does not work with directories.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

remote_file

  The file from which to extract the last modification time.

## Return Values

Returns the last modified time as a Unix timestamp on success, or -1 on error.

## 範例

範例 1. ftp_mdtm() example

`<?php
$file = 'somefile.txt';
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// get the last modified time
$buff = ftp_mdtm($conn_id, $file);
if ($buff != -1) {
// somefile.txt was last modified on: March 26 2003 14:16:41.
echo "$file was last modified on : " . date("F d Y H:i:s.", $buff);
} else {
echo "Couldn't get mdtime";
}
// close the connection
ftp_close($conn_id);
?>`

前一頁 | 內容 | 下一頁
ftp_login | 上一層 | ftp_mkdir